#version 400

layout(points, invocations=1) in;
layout(points, max_vertices=1) out;

uniform vec3 antPos1;
uniform vec3 antPos2;
uniform float sichtweite;

in vec4 vPosition[1];

out uint gVisible;


void main()
{
	float distance = min(distance(antPos1.xz,vPosition[0].xz),distance(antPos2.xz,vPosition[0].xz));
	
	if(distance < sichtweite)
		gVisible = 0;
	else
		gVisible = 1;

	gl_Position = vPosition[0];
	EmitVertex();
}