#version 400 core

uniform mat4 mvpMatrix;

layout(triangles) in;
layout(triangle_strip, max_vertices = 3) out;

in vec3 teVertex[3];
in vec2 teUV[3];

out vec2 gUV;

void main()
{
	for(int i=0; i<3; ++i)
	{
		vec4 vertexPos = gl_in[i].gl_Position;
		
		gl_Position = mvpMatrix * vertexPos;
		gUV = teUV[i];

		EmitVertex();
	}
	
	EndPrimitive();
}
