#version 400

uniform sampler2D textureMap;

in vec4 gColor;
in vec2 gUV;

out vec4[2] outColor;

void main()
{
	float a = gColor.a*texture(textureMap,gUV).a;
	vec4 color = vec4(gColor.rgb,a);
	outColor[0] = color;
	outColor[1] = vec4(0.0f,0.0f,0.0f,a);
}